| Flutter Impeller |

Classes | Public Member Functions | List of all members
impeller::PipelineLibraryGLES Class Referencefinal

`#include <pipeline_library_gles.h>`

Inheritance diagram for impeller::PipelineLibraryGLES:

## Public Member Functions
| ~PipelineLibraryGLES () override
| PipelineLibraryGLES (const PipelineLibraryGLES &)=delete
PipelineLibraryGLES & | operator= (const PipelineLibraryGLES &)=delete
Public Member Functions inherited from impeller::PipelineLibrary
virtual | ~PipelineLibrary ()
PipelineFuture< PipelineDescriptor > | GetPipeline (std::optional< PipelineDescriptor > descriptor, bool async=true)
PipelineFuture< ComputePipelineDescriptor > | GetPipeline (std::optional< ComputePipelineDescriptor > descriptor, bool async=true)
void | LogPipelineUsage (const PipelineDescriptor &p)
void | LogPipelineCreation (const PipelineDescriptor &p)
std::unordered_map< PipelineDescriptor, int, ComparableHash< PipelineDescriptor >, ComparableEqual< PipelineDescriptor > > | GetPipelineUseCounts () const

## Additional Inherited Members
Static Public Member Functions inherited from impeller::BackendCast< PipelineLibraryGLES, PipelineLibrary >
static PipelineLibraryGLES & | Cast (PipelineLibrary &base)
static const PipelineLibraryGLES & | Cast (const PipelineLibrary &base)
static PipelineLibraryGLES * | Cast (PipelineLibrary *base)
static const PipelineLibraryGLES * | Cast (const PipelineLibrary *base)
Protected Member Functions inherited from impeller::PipelineLibrary
| PipelineLibrary ()

## Detailed Description

Definition at line 23 of file pipeline_library_gles.h.

## Constructor & Destructor Documentation

## ◆ ~PipelineLibraryGLES()

impeller::PipelineLibraryGLES::~PipelineLibraryGLES | ( |  | ) |
| overridedefault

## ◆ PipelineLibraryGLES()

impeller::PipelineLibraryGLES::PipelineLibraryGLES | ( | const PipelineLibraryGLES & |  | ) |
| delete

## Member Function Documentation

## ◆ operator=()

PipelineLibraryGLES& impeller::PipelineLibraryGLES::operator= | ( | const PipelineLibraryGLES & |  | ) |
| delete

The documentation for this class was generated from the following files:

- impeller/renderer/backend/gles/pipeline_library_gles.h
- impeller/renderer/backend/gles/pipeline_library_gles.cc